"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const CustomCommand_1 = require("../api/oclif/CustomCommand");
const init_1 = tslib_1.__importDefault(require("../modules/init"));
const Colors_1 = require("../api/constants/Colors");
class Init extends CustomCommand_1.CustomCommand {
    async run() {
        const { args: { projectName }, } = this.parse(Init);
        await init_1.default(projectName);
    }
}
exports.default = Init;
Init.description = `Copies starting files and folders from ${Colors_1.ColorifyConstants.ID('VTEX')} boilerplates into your local directories.`;
Init.examples = [
    `${Colors_1.ColorifyConstants.COMMAND_OR_VTEX_REF('vtex init')}`,
    `${Colors_1.ColorifyConstants.COMMAND_OR_VTEX_REF('vtex init project-name')}`,
];
Init.flags = {
    ...CustomCommand_1.CustomCommand.globalFlags,
};
Init.args = [{ name: 'projectName', required: false }];
