"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const CustomCommand_1 = require("../api/oclif/CustomCommand");
const list_1 = tslib_1.__importDefault(require("../modules/apps/list"));
const Colors_1 = require("../api/constants/Colors");
class List extends CustomCommand_1.CustomCommand {
    async run() {
        this.parse(List);
        await list_1.default();
    }
}
exports.default = List;
List.description = `Lists the apps installed on the current ${Colors_1.ColorifyConstants.ID('workspace')} and ${Colors_1.ColorifyConstants.ID('account')}.`;
List.examples = [
    `${Colors_1.ColorifyConstants.COMMAND_OR_VTEX_REF('vtex list')}`,
    `${Colors_1.ColorifyConstants.COMMAND_OR_VTEX_REF('vtex ls')}`,
];
List.aliases = ['ls'];
List.flags = {
    ...CustomCommand_1.CustomCommand.globalFlags,
};
List.args = [];
