"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const qrcode_terminal_1 = tslib_1.__importDefault(require("qrcode-terminal"));
const SessionManager_1 = require("../api/session/SessionManager");
const storeUrl_1 = require("../api/storeUrl");
const featureFlagDecider_1 = require("./featureFlag/featureFlagDecider");
exports.default = async (path, { qr }) => {
    const { account, workspace } = SessionManager_1.SessionManager.getSingleton();
    const uri = storeUrl_1.storeUrl({ account, workspace, path });
    if (qr) {
        qrcode_terminal_1.default.generate(uri, { small: true });
        return;
    }
    featureFlagDecider_1.switchOpen(uri, { wait: false });
};
